<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{311,73,1024,632}</property>
    <property name="Name">[vdaDsc]</property>
    <property name="Caption">[Plano de Pagamento]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.F.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.F.</property>
    <property name="Variables">{modus,osoSayFplanopag,vListBox}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.F.</property>
    <property name="StyleBorder">[1 - Fixed Single]</property>
    <property name="nBackColor">16767417</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\vdaprd.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.F.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1
]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) 

ocontainer1:DISABLE()
ofVal:DISABLE()
 ]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[Dlg_BtnOkOuCancel(modus,oDlg,)
]]>
  </method>
  <method name="onFormExit">
    <![CDATA[MODUS=="Confirmou_Deletar" 
]]>
  </method>
  <part class="buttonex">
    <style>
      <property name="Geometry">{495,513,123,42}</property>
      <property name="Name">[oButtonex1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[Confirma]</property>
      <property name="font">
        <font name="Arial" width="0" height="-27" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">38</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{495,565,123,42}</property>
      <property name="Name">[oButtonex2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[Cancela]</property>
      <property name="font">
        <font name="Arial" width="0" height="-27" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">38</property>
    </style>
    <method name="onClick">
      <![CDATA[IF ALERT("Confirma Cancelar Venda ?",{"1.Sim","2.Nao"})==1
   m_fplanopag:=1
   m_fval:=0
   oDlg:lResult:=.F.
   oDlg:CLOSE()
EndIf   ]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{9,3,999,54}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">
[(&quot;Plano Escolhido: &quot;+Str(m_fplanopag,3)+&apos;-&apos;+p_pdesc)]      </property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-44" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">39</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{635,477,60,33}</property>
      <property name="Name">[oLabel7]</property>
      <property name="Caption">[Total]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">51</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,87,182,37}</property>
      <property name="Name">[ofpercdesc]</property>
      <property name="varName">[m_fpercdesc]</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,99]</property>
      <property name="TabIndex">41</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{826,87,182,37}</property>
      <property name="Name">[ofdesconto]</property>
      <property name="varName">[m_fdesconto]</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="TabIndex">43</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{826,153,182,37}</property>
      <property name="Name">[ofValLiquido]</property>
      <property name="varName">[m_fValLiquido]</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="TabIndex">42</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,220,373,94}</property>
      <property name="Name">[ofvalpago]</property>
      <property name="varName">[m_fvalpago]</property>
      <property name="font">
        <font name="" width="0" height="-64" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="TabIndex">44</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[m_ftroco:=m_fvalpago-m_fValLiquido
OFTROCO:Refresh()
RETURN (M_FVALPAGO>=M_FVAL-M_FDESCONTO+M_MFACRESCIMO).AND.CRIT_FDESCONTO("VPG",M_FVALPAGO)]]>
    </method>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,343,373,94}</property>
      <property name="Name">[oFtroco]</property>
      <property name="varName">[m_Ftroco]</property>
      <property name="font">
        <font name="" width="0" height="-64" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="TabIndex">40</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,153,182,37}</property>
      <property name="Name">[oFacrescimo]</property>
      <property name="varName">[m_facrescimo]</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="TabIndex">52</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{635,66,80,19}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[% Desconto]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">53</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{826,66,101,19}</property>
      <property name="Name">[oLabel3]</property>
      <property name="Caption">[Valor Desconto]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">54</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{635,133,80,19}</property>
      <property name="Name">[oLabel4]</property>
      <property name="Caption">[TAC]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">55</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{826,133,94,19}</property>
      <property name="Name">[oLabel5]</property>
      <property name="Caption">[Valor Líquido]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">56</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{635,189,80,33}</property>
      <property name="Name">[oLabel6]</property>
      <property name="Caption">[Valor Pago]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">57</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{635,312,80,32}</property>
      <property name="Name">[oLabel8]</property>
      <property name="Caption">[Troco]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">58</property>
    </style>
  </part>
  <part class="container">
    <style>
      <property name="Geometry">{4,61,622,385}</property>
      <property name="Name">[oContainer1]</property>
      <property name="Border">.F.</property>
      <property name="TabIndex">0</property>
    </style>
    <part class="buttonex">
      <style>
        <property name="Geometry">{10,67,150,100}</property>
        <property name="Name">[obut1]</property>
        <property name="Caption">[&amp;1.Dinheiro]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_dinheiro.jpg]</property>
        <property name="lResource">.T.</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="Transparent">.T.</property>
        <property name="ToolTip">[Forma de Pagamento em Dinheiro]</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onClick">
        <![CDATA[m_Fplanopag:=1
   
   ofpercdesc:ENABLE()
   ofdesconto:ENABLE()
   ofacrescimo:ENABLE()
   ofvalLiquido:ENABLE()
   ofvalpago:ENABLE()
   oftroco:ENABLE()

   obut1:DISABLE()
   obut2:DISABLE()
   obut3:DISABLE()
   obut4:DISABLE()
   oListBox:DISABLE()
]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{163,67,150,100}</property>
        <property name="Name">[obut2]</property>
        <property name="Caption">[&amp;2.Cheque]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_cheque.jpg]</property>
        <property name="lResource">.T.</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="Transparent">.T.</property>
        <property name="ToolTip">[Forma de Pagamento em Cheque]</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onClick">
        <![CDATA[m_Fplanopag:=2
   ofpercdesc:ENABLE()
   ofdesconto:ENABLE()
   ofacrescimo:ENABLE()
   ofvalLiquido:ENABLE()
   ofvalpago:ENABLE()
   oftroco:ENABLE()

   obut1:DISABLE()
   obut2:DISABLE()
   obut3:DISABLE()
   obut4:DISABLE()
   oListBox:DISABLE()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{316,67,150,100}</property>
        <property name="Name">[obut3]</property>
        <property name="Caption">[&amp;3.Cartão]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_cartoes.jpg]</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="Transparent">.T.</property>
        <property name="ToolTip">[Forma de Pagamento em Cartï¿½o]</property>
        <property name="TabIndex">3</property>
      </style>
      <method name="onClick">
        <![CDATA[m_Fplanopag:=3
   ofpercdesc:ENABLE()
   ofdesconto:ENABLE()
   ofacrescimo:ENABLE()
   ofvalLiquido:ENABLE()
   ofvalpago:ENABLE()
   oftroco:ENABLE()

   obut1:DISABLE()
   obut2:DISABLE()
   obut3:DISABLE()
   obut4:DISABLE()
   oListBox:DISABLE()]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{469,67,150,100}</property>
        <property name="Name">[obut4]</property>
        <property name="Caption">[&amp;4.Convênio]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_convenio.jpg]</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="Transparent">.T.</property>
        <property name="ToolTip">[Forma de Pagamento em Convï¿½nio]</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onClick">
        <![CDATA[m_fplanopag:=4
   ofpercdesc:ENABLE()
   ofdesconto:ENABLE()
   ofacrescimo:ENABLE()
   ofvalLiquido:ENABLE()
   ofvalpago:ENABLE()
   oftroco:ENABLE()

   obut1:DISABLE()
   obut2:DISABLE()
   obut3:DISABLE()
   obut4:DISABLE()
   oListBox:DISABLE()]]>
      </method>
    </part>
    <part class="listbox">
      <style>
        <property name="Geometry">{10,173,608,264}</property>
        <property name="Name">[oListBox]</property>
        <property name="varName">[vListBox]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700" italic="255"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">37</property>
      </style>
      <method name="onInit">
        <![CDATA[abra_vb_fpag()
vb_fpag->(DBGOTOP())
DBEVAL( {|| IF(.not. DELETED(), AADD(oListBox:aItems, LTRIM(STR(fplanopag,3))+"."+pdesc), NIL) }) 
vb_fpag->(DBCLOSEAREA())
vListBox:=m_fplanopag
oListBox:Refresh()
]]>
      </method>
    </part>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,513,373,94}</property>
      <property name="Name">[ofval]</property>
      <property name="_InitValue">[89.10]</property>
      <property name="varName">[m_fval]</property>
      <property name="font">
        <font name="Arial" width="0" height="-64" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[@E 99,999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="Enabled">.F.</property>
      <property name="Border">.F.</property>
      <property name="TabIndex">9</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
</part>
